--- a/bootstrap
+++ b/bootstrap
@@ -278,7 +278,7 @@ check_exists() {
       ($2 --version </dev/null)
     fi
   else
-    ($1 --version </dev/null) >/dev/null 2>&1
+    ($@ --version </dev/null) >/dev/null 2>&1
   fi
 
   test $? -lt 126
@@ -563,7 +563,7 @@ p
 q'
 
 get_version() {
-  app=$1
+  app="$@"
 
   $app --version >/dev/null 2>&1 || { $app --version; return 1; }
 
@@ -620,13 +620,13 @@ check_versions() {
     if [ "$req_ver" = "-" ]; then
       # Merely require app to exist; not all prereq apps are well-behaved
       # so we have to rely on $? rather than get_version.
-      if ! check_exists --verbose $app; then
+      if ! check_exists --verbose "$app"; then
         warn_ "Error: '$app' not found"
         ret=1
       fi
     else
       # Require app to produce a new enough version string.
-      inst_ver=$(get_version $app)
+      inst_ver=$(get_version "$app")
       if [ ! "$inst_ver" ]; then
         warn_ "Error: '$app' not found"
         ret=1
@@ -923,7 +923,7 @@ version_controlled_file() {
 # two just-pre-run programs.
 
 # Import from gettext.
-with_gettext=yes
+with_gettext=no
 grep '^[	 ]*AM_GNU_GETTEXT_VERSION(' configure.ac >/dev/null || \
     with_gettext=no
 
